package tagtest;

import java.io.IOException;

import javax.el.ExpressionFactory;
import javax.el.ELContext;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspFactory;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.tagext.SimpleTagSupport;

public class JSP12WithEL extends SimpleTagSupport {
    private String s;
    public String getS() {
        return s;
    }
    public void setS(String s) {
        this.s = s;
    }
    public void doTag() throws JspException {
        try {
            ExpressionFactory ef = JspFactory.getDefaultFactory().getJspApplicationContext(((PageContext)getJspContext()).getServletContext()).getExpressionFactory();
            ELContext elctx = getJspContext().getELContext();
            String s2 = (String)ef.createValueExpression(elctx, s, String.class).getValue(elctx);
            JspWriter out = getJspContext().getOut();
            out.println(s2);
        } catch(IOException ex) {
            ex.printStackTrace();
        }
    }
}
